{ **************************************************************************** }
{ FileName............: BTVID_32.PAS                                           }
{ Project.............: BT8X8                                                  }
{ Author(s)...........: MM                                                     }
{ Version.............: 1.00                                                   }
{ ---------------------------------------------------------------------------- }
{ Interfacing for BTVID_32.DLL                                                 }
{ Includes comments on each function/procedure as from the document            }
{ 'Bt848 Programmers Guide' and other sources.                                 }
{                                                                              }
{                                                                              }
{ Version  Date      Comment                                                   }
{   1.00   20010314  - Initial release                                         }
{                                                                              }
{ Notes: Includes <Initialziation> which sets up default initialization.       }
{ **************************************************************************** }

{ **************************************************************************** }
(*
    Exports from BTVI_32.DLL
    ========================

    Ordinal RVA       Name                      Implemented
    ------- --------  ----                      -----------
    { Misc }
    0097    0000680c  __lockDebuggerData()
    0098    00006834  __unlockDebuggerData()
    0057    00001a64  Bt848ChannelChanged       YES
    0073    00001d08  Bt848Continue             YES
    0049    00001ae4  Bt848GetBrightness        YES
    0067    00001cb0  Bt848GetCCAlert           YES
    0066    00001c9c  Bt848GetCCFileName        YES
    0068    00001cc4  Bt848GetCCStatus          YES
    0051    00001b38  Bt848GetContrast          YES
    0053    00001b8c  Bt848GetHue               YES
    0070    00001ce0  Bt848GetImageFormat       YES
    0071    00001cf0  Bt848GetImageSize         YES
    0074    00001d10  Bt848GetOverlayFlags      YES
    0059    00001c24  Bt848GetSVideo            YES
    0055    00001be0  Bt848GetSaturation        YES
    0095    00001c0c  Bt848GetStatus            YES
    0061    00001c48  Bt848GetVideoFormat       YES
    0047    00001aa8  Bt848GetVideoSource       YES
    0075    00001d18  Bt848ImageLoad            YES
    0072    00001d00  Bt848Pause                YES
    0056    00001a30  Bt848PreChannelChange     YES
    0048    00001abc  Bt848SetBrightness        YES
    0065    00001c8c  Bt848SetCCAlert           YES
    0062    00001c5c  Bt848SetCCCallback        YES
    0064    00001c7c  Bt848SetCCFileName        YES
    0063    00001c6c  Bt848SetCCStatus          YES
    0050    00001b10  Bt848SetContrast          YES
    0052    00001b64  Bt848SetHue               YES
    0069    00001ccc  Bt848SetImage             YES
    0058    00001c14  Bt848SetSVideo            YES
    0054    00001bb8  Bt848SetSaturation        YES
    0060    00001c38  Bt848SetVideoFormat       YES
    0046    00001a98  Bt848SetVideoSource       YES
    0076    00001d30  Bt848UnLoadImage          YES
    { GPIO}
    0021    00001288  GPIOIsInitOK              YES
    0023    000012ac  GetGPCLKMODE              YES
    0041    00001418  GetGPDATA                 YES
    0043    0000145c  GetGPDATABits             YES
    0039    000013ec  GetGPIE                   YES
    0038    000013d4  GetGPIEBit                YES
    0031    0000133c  GetGPINTC                 YES
    0029    00001318  GetGPINTI                 YES
    0025    000012d0  GetGPIOMODE               YES
    0035    00001394  GetGPOE                   YES
    0034    0000137c  GetGPOEBit                YES
    0027    000012f4  GetGPWEC                  YES
    { Decoder }
    0077    00001570  GetHWDeviceID             YES
    0078    000015f4  GetHWRevisionID           YES
    { I2C }
    0020    00001234  I2CGetLastError           YES
    0087    00001264  I2CHWMultiRead            YES
    0088    00001240  I2CHWMultiWrite           YES
    0005    00001110  I2CHWRead                 YES
    0006    0000112c  I2CHWWrite2               YES
    0007    00001148  I2CHWWrite3               YES
    0001    000010bc  I2CInitHWMode             YES
    0002    000010d4  I2CInitSWMode             YES
    0000    000010b0  I2CIsInitOK               YES
    0004    00001104  I2CReadDiv                YES
    0019    00001228  I2CReadSync               YES
    0010    00001180  I2CSWRead                 YES
    0015    000011e0  I2CSWReadSCL              YES
    0017    00001204  I2CSWReadSDA              YES
    0012    000011b0  I2CSWSendACK              YES
    0013    000011bc  I2CSWSendNACK             YES
    0014    000011c8  I2CSWSetSCL               YES
    0016    000011ec  I2CSWSetSDA               YES
    0008    00001168  I2CSWStart                YES
    0009    00001174  I2CSWStop                 YES
    0011    00001198  I2CSWWrite                YES
    0003    000010ec  I2CSetFreq                YES
    0018    00001210  I2CSetSync                YES
    { Decoder }
    0079    00001680  IsBt848                   YES
    0080    000016a8  IsBt848A                  YES
    0082    000016d8  IsBt848Family             YES
    0081    000016c8  IsBt849A                  YES
    0083    00001700  IsBt878                   YES
    0093    00001730  IsBt878A                  YES
    0086    00001788  IsBt878Family             YES
    0084    00001710  IsBt879                   YES
    0094    0000175c  IsBt879A                  YES
    0085    00001720  IsBt880                   YES
    0044    00001480  ReadDecoder               YES
    0090    00001840  RefreshBaseAddress
    0089    00001820  SetBt878MUXSelect
    { GPIO }
    0022    00001294  SetGPCLKMODE              YES
    0040    000013f8  SetGPDATA                 YES
    0042    00001438  SetGPDATABits             YES
    0037    000013bc  SetGPIE                   YES
    0036    000013a0  SetGPIEBit                YES
    0030    00001324  SetGPINTC                 YES
    0028    00001300  SetGPINTI                 YES
    0024    000012b8  SetGPIOMODE               YES
    0033    00001364  SetGPOE                   YES
    0032    00001348  SetGPOEBit                YES
    0026    000012dc  SetGPWEC                  YES
    { Decoder }
    0045    000014e0  WriteDecoder              YES
    { Misc. }
    0092    0000a444  _DRV_ThunkData32
    0091    0000a420  _I2C_GPIO_ThunkData32
    0096    0000a6ac  __DebuggerHookData
*)
{ **************************************************************************** }


unit BTVID_32;

interface


const
  DLLName = 'BTVID_32.DLL';

  { Misc. definitions }
  AUDIO_SOURCE_CDROM     = $00;
  AUDIO_SOURCE_EXTAUDIO  = $01;
  AUDIO_SOURCE_TVTUNER   = $02;
  AUDIO_SOURCE_MUTE      = $03;

  GPIO_OUTEN   = $0000000F;
  
{ **************************************************************************** }
{ **************************************************************************** }
{                Bt848 I2C Data/Control Register Functions                     }
{ **************************************************************************** }
{ **************************************************************************** }
const
  { Error codes I2C }
  I2CERR_OK        = 0;                { No error }
  I2CERR_INIT      = 1;                { Error in initialization }
  I2CERR_MODE      = 2;                { Invalid I2C mode (must be either HW or SW) }
  I2CERR_NOACK     = 3;                { No ACK received from slave }
  I2CERR_TIMEOUT   = 4;                { Timeout error }
  I2CERR_SCL       = 5;                { Unable to change SCL line }
  I2CERR_SDA       = 6;                { Unable to change SDA line }
  I2CERR_PARAMETER = 6;                { Parameter error }

type
  ErrorCode = (Success, Fail, Err_WrongHardware);
  State     = (Off, On);
  Level     = (Low, Hi);

{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>  TRUE if successfully                                    }
{                                                                              }
{ Descript : Check if I2C is initialized successfully.                         }
{ Notes    : Before calling other I2C functions, application should call this  }
{            function and check for return value is true to ensure             }
{            initialization is successful.                                     }
{ **************************************************************************** }
function I2CIsInitOK: boolean; stdcall; external DLLName name 'I2CIsInitOK';


{ **************************************************************************** }
{ Params   : <Freq>    Frequency (Hz) to run SCL at                            }
{ Return   : <Result>  Error code                                              }
{                                                                              }
{ Descript : Initialize I2C for hardware control of SCL and SDA.               }
{ Notes    : After calling I2CIsInitOK(), application should call this         }
{            function and check for return value is Success before starting    }
{            hardware communication.                                           }
{ **************************************************************************** }
function I2CInitHWMode(Freq: longint): ErrorCode; stdcall; external DLLName name 'I2CInitHWMode';


{ **************************************************************************** }
{ Params   : <Freq>    Frequency (Hz) to run SCL at                            }
{ Return   : <Result>  Error code                                              }
{                                                                              }
{ Descript : Initialize I2C for software control of SCL and SDA.               }
{ Notes    : After calling I2CIsInitOK(), application should call this         }
{            function and check for return value is Success before starting    }
{            hardware communication.                                           }
{ **************************************************************************** }
function I2CInitSWMode(Freq: longint): ErrorCode; stdcall; external DLLName name 'I2CInitSWMode';


{ **************************************************************************** }
{ Params   : <Freq>    frequency (Hz) to run SCL at                            }
{                         (137.5khz to 2.0625Mhz)                              }
{                         PCI frequency: 33Mhz: SCL = (412.50Khz to 33.81Khz)  }
{                                        25Mhz: SCL = (312.50Khz to 25.61Khz)  }
{ Return   : -                                                                 }
{                                                                              }
{ Descript : Set frequency for SCL.                                            }
{ Notes    : -                                                                 }
{ **************************************************************************** }
procedure I2CSetFreq(Freq: longint); stdcall; external DLLName name 'I2CSetFreq';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>  Value of the programmable divider                       }
{                                                                              }
{ Descript : Obtain value of the programmable divider.                         }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function I2CReadDiv: integer; stdcall; external DLLName name 'I2CReadDiv';


{ **************************************************************************** }
{ Params   : <Address>  Address to be read from                                }
{            <Value>    Retrieved value                                        }
{ Return   : <Result>   Error code                                             }
{                                                                              }
{ Descript : Perform a hardware read from the I2C.                             }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function I2CHWRead(Address: byte; var Value: byte): ErrorCode; stdcall; external DLLName name 'I2CHWRead';


{ **************************************************************************** }
{ Params   : <Address>  Address to be written to                               }
{            <Value1>   value of 2nd byte to be written                        }
{ Return   : <Result>   Error code                                             }
{                                                                              }
{ Descript : Perform a hardware write of two bytes to the I2C.                 }
{ Notes    : 1st byte is the address                                           }
{ **************************************************************************** }
function I2CHWWrite2(Address: byte; Value1: byte): ErrorCode; stdcall; external DLLName name 'I2CHWWrite2';


{ **************************************************************************** }
{ Params   : <Address>  Address to be written to                               }
{            <Value1>   value of 2nd byte to be written                        }
{            <Value2>   value of 3rd byte to be written                        }
{ Return   : <Result>   Error code                                             }
{                                                                              }
{ Descript : Perform a hardware write of three bytes to the I2C.               }
{ Notes    : 1st byte is the address                                           }
{ **************************************************************************** }
function I2CHWWrite3(Address: byte; Value1, Value2: byte): ErrorCode; stdcall; external DLLName name 'I2CHWWrite3';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>   Error code                                             }
{                                                                              }
{ Descript : Initiate I2C transaction in software mode.                        }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function I2CSWStart: ErrorCode; stdcall; external DLLName name 'I2CSWStart';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>   Error code                                             }
{                                                                              }
{ Descript : Terminate I2C transaction in software mode.                       }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function I2CSWStop: ErrorCode; stdcall; external DLLName name 'I2CSWStop';


{ **************************************************************************** }
{ Params   : <Value>    Value read from I2C                                    }
{ Return   : <Result>   Error code                                             }
{                                                                              }
{ Descript : Read a byte from I2C in software mode.                            }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function I2CSWRead(var Value: byte): ErrorCode; stdcall; external DLLName name 'I2CSWRead';


{ **************************************************************************** }
{ Params   : <Value>    value to be written to I2C                             }
{ Return   : <Result>   Error code                                             }
{                                                                              }
{ Descript : Write a byte to I2C in software mode.                             }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function I2CSWWrite(Value: byte): ErrorCode; stdcall; external DLLName name 'I2CSWWrite';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>   Error code                                             }
{                                                                              }
{ Descript : Send ACK to slave.                                                }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function I2CSWSendACK: ErrorCode; stdcall; external DLLName name 'I2CSWSendACK';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>   Error code                                             }
{                                                                              }
{ Descript : Send NACK to slave.                                               }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function I2CSWSendNACK: ErrorCode; stdcall; external DLLName name 'I2CSWSendNACK';


{ **************************************************************************** }
{ Params   : <Scl>      SCL value                                              }
{                       Hi releases the SCL output                             }
{                       Low forces the SCL output low                          }
{ Return   : <Result>   Error code                                             }
{                                                                              }
{ Descript : Set software SCL value.                                           }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function I2CSWSetSCL(Scl: Level): ErrorCode; stdcall; external DLLName name 'I2CSWSetSCL';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>   SCL value                                              }
{                       Hi releases the SCL output                             }
{                       Low forces the SCL output low                          }
{                                                                              }
{ Descript : Read software SCL value.                                          }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function I2CSWReadSCL: integer; stdcall; external DLLName name 'I2CSWReadSCL';


{ **************************************************************************** }
{ Params   : <Scl>      SDA value                                              }
{                       Hi releases the SDA output                             }
{                       Low forces the SDA output low                          }
{ Return   : <Result>   Error code                                             }
{                                                                              }
{ Descript : Set software SDA value.                                           }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function I2CSWSetSDA(Scl: Level): ErrorCode; stdcall; external DLLName name 'I2CSWSetSDA';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>   SDA value                                              }
{                       Hi releases the SDA output                             }
{                       Low forces the SDA output low                          }
{                                                                              }
{ Descript : Read software SDA value.                                          }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function I2CSWReadSDA: integer; stdcall; external DLLName name 'I2CSWReadSDA';


{ **************************************************************************** }
{ Params   : <Sync>     Sync state                                             }
{                       On allow slave to insert wait states                   }
{                       Off disallow slave to insert wait states               }
{ Return   : <Result>   Error code                                             }
{                                                                              }
{ Descript : Set I2C sync value.                                               }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function I2CSetSync(Sync: State): ErrorCode; stdcall; external DLLName name 'I2CSetSync';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>   Sync value                                             }
{                       On: allow slave to insert wait states                  }
{                       Off: disallow slave to insert wait states              }
{                                                                              }
{ Descript : Read I2C sync value.                                              }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function I2CReadSync: integer; stdcall; external DLLName name 'I2CReadSync';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>   Last I2C error number                                  }
{                                                                              }
{ Descript : Obtain last I2C error number.                                     }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function I2CGetLastError: integer; stdcall; external DLLName name 'I2CGetLastError';


{ **************************************************************************** }
{ Params   : <Address>  Chip address to be written                             }
{            <SubAddr>  Sub-address to be written from                         }
{            <pBlock>   Pointer to buffer to be sent                           }
{            <Len>      Number of bytes to be sent                             }
{ Return   : <Result>   Error code                                             }
{                                                                              }
{ Descript : Perform a hardware write of multi bytes from I2C without stopping.}
{ Notes    : -                                                                 }
{ **************************************************************************** }
function I2CHWMultiWrite(Address, SubAddr: byte; pBlock: pointer; Len: integer): ErrorCode; stdcall; external DLLName name 'I2CHWMultiWrite';


{ **************************************************************************** }
{ Params   : <Address>  Chip address to be read                                }
{            <SubAddr>  Sub-address to be read from                            }
{            <pBlock>   Pointer to buffer to receive data                      }
{            <Len>      Number of bytes to be read                             }
{ Return   : <Result>   Error code                                             }
{                                                                              }
{ Descript : Perform a hardware read of multi bytes from I2C without stopping. }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function I2CHWMultiRead(Address, SubAddr: byte; pBlock: pointer; Len: integer): ErrorCode; stdcall; external DLLName name 'I2CHWMultiRead';




{ **************************************************************************** }
{ **************************************************************************** }
{                        Bt848 GPIO Functions Functions                        }
{ **************************************************************************** }
{ **************************************************************************** }
type
  GPIOMode = (GPIO_NORMAL,
              GPIO_SPI_OUTPUT,
              GPIO_SPI_INPUT,
              GPIO_DEBUG_TEST);

  GPIOReg = ^integer;

{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>   TRUE/FALSE                                             }
{                                                                              }
{ Descript : Check if GPIO is initialized successfully.                        }
{ Notes    : Before calling other GPIO functions, application should call      }
{            this function and check for return value is true to ensure        }
{            initialization is successful.                                     }
{ **************************************************************************** }
function GPIOIsInitOK: boolean; stdcall; external DLLName name 'GPIOIsInitOK';


{ **************************************************************************** }
{ Params   : <S>        Stat to set                                            }
{                       On to set                                              }
{                       Off to clear                                           }
{ Return   : -                                                                 }
{                                                                              }
{ Descript : Set or clear GPCLKMODE.                                           }
{ Notes    : -                                                                 }
{ **************************************************************************** }
procedure SetGPCLKMODE(S: State); stdcall; external DLLName name 'SetGPCLKMODE';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>  On (1) or Off (0)                                       }
{                                                                              }
{ Descript : Get value of GPCLKMODE.                                           }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function GetGPCLKMODE: integer; stdcall; external DLLName name 'GetGPCLKMODE';


{ **************************************************************************** }
{ Params   : <Mode>   GPIO mode                                                }
{                     GPIO_NORMAL, GPIO_SPI_OUTPUT, GPIO_SPI_INPUT,            }
{                     GPIO_DEBUG_TEST                                          }
{ Return   : -                                                                 }
{                                                                              }
{ Descript : Set GPIO mode.                                                    }
{ Notes    : -                                                                 }
{ **************************************************************************** }
procedure SetGPIOMODE(Mode: GPIOMode); stdcall; external DLLName name 'SetGPIOMODE';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Mode>   GPIO mode                                                }
{                     GPIO_NORMAL, GPIO_SPI_OUTPUT, GPIO_SPI_INPUT,            }
{                     GPIO_DEBUG_TEST                                          }
{                                                                              }
{ Descript : Get GPIO mode.                                                    }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function GetGPIOMODE: integer; stdcall; external DLLName name 'GetGPIOMODE';


{ **************************************************************************** }
{ Params   : <S>        Stat to set                                            }
{                       On to set                                              }
{                       Off to clear                                           }
{ Return   : -                                                                 }
{                                                                              }
{ Descript : Set or clear GPWEC.                                               }
{ Notes    : -                                                                 }
{ **************************************************************************** }
procedure SetGPWEC(S: State); stdcall; external DLLName name 'SetGPWEC';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>  On (1) or Off (0)                                       }
{                                                                              }
{ Descript : Get value of GPWEC.                                               }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function GetGPWEC: integer; stdcall; external DLLName name 'GetGPWEC';


{ **************************************************************************** }
{ Params   : <S>        Stat to set                                            }
{                       On to set                                              }
{                       Off to clear                                           }
{ Return   : -                                                                 }
{                                                                              }
{ Descript : Set or clear GPINTI.                                              }
{ Notes    : -                                                                 }
{ **************************************************************************** }
procedure SetGPINTI(S: State); stdcall; external DLLName name 'SetGPINTI';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>  On (1) or Off (0)                                       }
{                                                                              }
{ Descript : Get value of GPINTI.                                              }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function GetGPINTI: integer; stdcall; external DLLName name 'GetGPINTI';


{ **************************************************************************** }
{ Params   : <S>        Stat to set                                            }
{                       On to set                                              }
{                       Off to clear                                           }
{ Return   : -                                                                 }
{                                                                              }
{ Descript : Set or clear GPINTC.                                              }
{ Notes    : -                                                                 }
{ **************************************************************************** }
procedure SetGPINTC(S: State); stdcall; external DLLName name 'SetGPINTC';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>  On (1) or Off (0)                                       }
{                                                                              }
{ Descript : Get value of GPINTC.                                              }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function GetGPINTC: integer; stdcall; external DLLName name 'GetGPINTC';


{ **************************************************************************** }
{ Params   : <Bit>      Bit to be set or clear                                 }
{            <S>        Stat to set                                            }
{                       On to set                                              }
{                       Off to clear                                           }
{ Return   : <Result>   Error code                                             }
{                                                                              }
{ Descript : Set or clear a bit in GPOE.                                       }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function SetGPOEBit(Bit: integer; S: State): ErrorCode; stdcall; external DLLName name 'SetGPOEBit';


{ **************************************************************************** }
{ Params   : <Bit>      Bit to be get value from                               }
{ Return   : <Result>   On (1), Off (0), or -1 for parameter error             }
{                                                                              }
{ Descript : Set or clear a bit in GPOE.                                       }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function GetGPOEBit(Bit: integer): integer; stdcall; external DLLName name 'GetGPOEBit';


{ **************************************************************************** }
{ Params   : <Value>    Value to be set to                                     }
{ Return   : -                                                                 }
{                                                                              }
{ Descript : Set GPOE value.                                                   }
{ Notes    : -                                                                 }
{ **************************************************************************** }
procedure SetGPOE(Value: integer); stdcall; external DLLName name 'SetGPOE';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>   Content of GPOE                                        }
{                                                                              }
{ Descript : Get value of GPOE.                                                }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function GetGPOE: integer; stdcall; external DLLName name 'GetGPOE';


{ **************************************************************************** }
{ Params   : <Value>    Value to be set to                                     }
{ Return   : <Result>   Error code                                             }
{                                                                              }
{ Descript : Set GPIE value.                                                   }
{ Notes    : DIFFERENCE BETWEEN DOCUMENTATION AND OTHER SOURCES                }
{ **************************************************************************** }
function SetGPIE(Value: integer): ErrorCode; stdcall; external DLLName name 'SetGPIE';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>   Content of GPIE                                        }
{                                                                              }
{ Descript : Get value of GPIE.                                                }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function GetGPIE: integer; stdcall; external DLLName name 'GetGPIE';


{ **************************************************************************** }
{ Params   : <Bit>      Bit to be set or clear                                 }
{            <S>        Stat to set                                            }
{                       On to set                                              }
{                       Off to clear                                           }
{ Return   : <Result>   Error code                                             }
{                                                                              }
{ Descript : Set or clear a bit in GPIE.                                       }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function SetGPIEBit(Bit: integer; S: State): ErrorCode; stdcall; external DLLName name 'SetGPIEBit';


{ **************************************************************************** }
{ Params   : <Bit>      Bit to be get value from                               }
{ Return   : <Result>   On (1), Off (0), or -1 for parameter error             }
{                                                                              }
{ Descript : Set or clear a bit in GPIE.                                       }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function GetGPIEBit(Bit: integer): integer; stdcall; external DLLName name 'GetGPIEBit';


{ **************************************************************************** }
{ Params   : <Data>     Pointer to data to be copied from                      }
{            <Size>     Number of registers to be copied; max is 64            }
{            <Offset>   How many registers to skip                             }
{ Return   : <Result>   Error code                                             }
{                                                                              }
{ Descript : Set GPDATA registers contents (=GPIO $200-$2FF).                  }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function SetGPDATA(Data: GPIOReg; Size, Offset: integer): ErrorCode; stdcall; external DLLName name 'SetGPDATA';


{ **************************************************************************** }
{ Params   : <Data>     Pointer to data to be copied to                        }
{            <Size>     Number of registers to be copied; max is 64            }
{            <Offset>   How many registers to skip                             }
{ Return   : <Result>   Error code                                             }
{                                                                              }
{ Descript : Get GPDATA registers contents.                                    }
{ Notes    : This function can only retrieve the last value written to GPDATA  }
{ **************************************************************************** }
function GetGPDATA(Data: GPIOReg; Size, Offset: integer): ErrorCode; stdcall; external DLLName name 'GetGPDATA';


{ **************************************************************************** }
{ Params   : <FromBit>  Starting bit                                           }
{            <ToBit>    Ending bit                                             }
{            <Value>    Value to set to                                        }
{            <Offset>   How many registers to skip                             }
{ Return   : <Result>   Error code                                             }
{                                                                              }
{ Descript : Set GPDATA contents with specified range of bits.                 }
{ Notes    : By specifying a range of bits to be set, it allows a portion of   }
{            the GDATA register to be modified. For example,                   }
{            SetGPDATA( 8, 10, 5, 0 )                                          }
{            would set the first GPDATA register's [10:8] to binary value 101  }
{ **************************************************************************** }
function SetGPDATABits(FromBit, ToBit, Value, Offset: integer): ErrorCode; stdcall; external DLLName name 'SetGPDATABits';


{ **************************************************************************** }
{ Params   : <FromBit>  Starting bit                                           }
{            <ToBit>    Ending bit                                             }
{            <Value>    Value retrieved                                        }
{            <Offset>   How many registers to skip                             }
{ Return   : <Result>   Error code                                             }
{                                                                              }
{ Descript : Get GPDATA contents with specified range of bits.                 }
{ Notes    : By specifying a range of bits to be set, it allows a portion of   }
{            the GDATA register to be retrived. For example,                   }
{            SetGPDATA( 8, 10, WhereTo, 0 )                                    }
{            would set WhereTo to the  first GPDATA register's [10:8] content  }
{ Notes    : This function can only retrieve the last value written to GPDATA  }
{ **************************************************************************** }
function GetGPDATABits(FromBit, ToBit: integer;var Value: integer; Offset: integer): ErrorCode; stdcall; external DLLName name 'GetGPDATABits';




{ **************************************************************************** }
{ **************************************************************************** }
{                          Bt848 Decoder Functions                             }
{ **************************************************************************** }
{ **************************************************************************** }


{ **************************************************************************** }
{ Params   : <RegOffset>  offset of the register to retrieve (must be in       }
{                         DWORD boundary)                                      }
{            <Value>      Value read from decoder                              }
{ Return   : <Result>     Error code                                           }
{                                                                              }
{ Descript : Read a decoder register's content.                                }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function ReadDecoder(RegOffset: word; var Value: byte): ErrorCode; stdcall; external DLLName name 'ReadDecoder';


{ **************************************************************************** }
{ Params   : <RegOffset>  offset of the register to retrieve (must be in       }
{                         DWORD boundary)                                      }
{            <Value>      Value to set to                                      }
{ Return   : <Result>     Error code                                           }
{                                                                              }
{ Descript : Modify a decoder register's content.                              }
{ Notes    : Not all bits are permitted to write. Please refer to the above    }
{            table for modifiable bits.                                        }
{ **************************************************************************** }
function WriteDecoder(RegOffset: word; Value: byte): ErrorCode; stdcall; external DLLName name 'WriteDecoder';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>  Hardware device ID or 0xFFFF if error                   }
{                                                                              }
{ Descript : Obtain hardware device ID.                                        }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function GetHWDeviceID: word; stdcall; external DLLName name 'GetHWDeviceID';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>  Hardware revision ID or 0xFF if error                   }
{                                                                              }
{ Descript : Obtain hardware revision ID.                                      }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function GetHWRevisionID: word; stdcall; external DLLName name 'GetHWRevisionID';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>  TRUE if specified hardware is found, else FALSE         }
{                                                                              }
{ Descript : Check if specified hardware is installed.                         }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function IsBt848: boolean; stdcall; external DLLName name 'IsBt848';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>  TRUE if specified hardware is found, else FALSE         }
{                                                                              }
{ Descript : Check if specified hardware is installed.                         }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function IsBt848A: boolean; stdcall; external DLLName name 'IsBt848A';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>  TRUE if specified hardware is found, else FALSE         }
{                                                                              }
{ Descript : Check if specified hardware is installed.                         }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function IsBt849A: boolean; stdcall; external DLLName name 'IsBt849A';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>  TRUE if specified hardware is found, else FALSE         }
{                                                                              }
{ Descript : Check if specified hardware is installed.                         }
{ Notes    : Bt848 family includes Bt848, Bt848A and Bt849A                    }
{ **************************************************************************** }
function IsBt848Family: boolean; stdcall; external DLLName name 'IsBt848Family';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>  TRUE if specified hardware is found, else FALSE         }
{                                                                              }
{ Descript : Check if specified hardware is installed.                         }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function IsBt878: boolean; stdcall; external DLLName name 'IsBt878';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>  TRUE if specified hardware is found, else FALSE         }
{                                                                              }
{ Descript : Check if specified hardware is installed.                         }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function IsBt878A: boolean; stdcall; external DLLName name 'IsBt878A';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>  TRUE if specified hardware is found, else FALSE         }
{                                                                              }
{ Descript : Check if specified hardware is installed.                         }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function IsBt879: boolean; stdcall; external DLLName name 'IsBt879';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>  TRUE if specified hardware is found, else FALSE         }
{                                                                              }
{ Descript : Check if specified hardware is installed.                         }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function IsBt879A: boolean; stdcall; external DLLName name 'IsBt879A';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>  TRUE if specified hardware is found, else FALSE         }
{                                                                              }
{ Descript : Check if specified hardware is installed.                         }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function IsBt880: boolean; stdcall; external DLLName name 'IsBt880';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>  TRUE if specified hardware is found, else FALSE         }
{                                                                              }
{ Descript : Check if specified hardware is installed.                         }
{ Notes    : Bt848 family includes Bt878, Bt879 and Bt880                      }
{ **************************************************************************** }
function IsBt878Family: boolean; stdcall; external DLLName name 'IsBt878Family';



{ **************************************************************************** }
{ **************************************************************************** }
{                          Bt848 Misc. functions                               }
{ **************************************************************************** }
{ **************************************************************************** }
const
  CF_BelowRange = -1;
  USE_OVERLAY = 1;
  USE_PRIMARY = 2;

type
  Connector = (ConCamera, ConSVideo, ConTuner, ConComposite);

  VideoFormat = (VFormat_AutoDetect,
                 VFormat_NTSC,
                 VFormat_NTSC_J,
                 VFormat_PAL_BDGHI,
                 VFormat_PAL_M,
                 VFormat_PAL_N,
                 VFormat_SECAM,
                 VFormat_PAL_NC);

  ColFmt = (CF_RGB32, CF_RGB24, CF_RGB16, CF_RGB15, CF_YUY2,
            CF_BTYUV, CF_Y8, CF_RGB8, CF_PL_422, CF_PL_411, CF_YUV9,
            CF_YUV12, CF_VBI, CF_UYVY, CF_RAW, CF_I420, CF_AboveRange);

  CC_CALLBACK = procedure(Buf: pointer; Cnt: integer);     { Closed caption callback }

  PPoint = ^TPoint;
  TPoint = record
    x: Longint;
    y: Longint;
  end;
  
  PRect = ^TRect;
  TRect = record
    case Integer of
      0: (Left, Top, Right, Bottom: Integer);
      1: (TopLeft, BottomRight: TPoint);
  end;


{ **************************************************************************** }
{ Params   : <Channel>  Channel will be changed to                             }
{ Return   : <Result>   Error code                                             }
{                                                                              }
{ Descript : Notify VxD that channel is about to change.                       }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function Bt848PreChannelChange(Channel: integer): ErrorCode; stdcall; external DLLName name 'Bt848PreChannelChange';


{ **************************************************************************** }
{ Params   : <Channel>  Channel being changed to                               }
{ Return   : <Result>   Error code                                             }
{                                                                              }
{ Descript : Notify VxD that channel has been changed.                         }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function Bt848ChannelChanged(Channel: integer): ErrorCode; stdcall; external DLLName name 'Bt848ChannelChanged';


{ **************************************************************************** }
{ Params   : <Conn>     Connector                                              }
{                       ConCamera, ConSVideo, ConTuner, ConComposite           }
{ Return   : <Result>   Error code                                             }
{                                                                              }
{ Descript : Request VxD to set video source.                                  }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function Bt848SetVideoSource(Conn: Connector): ErrorCode; stdcall; external DLLName name 'Bt848SetVideoSource';


{ **************************************************************************** }
{ Params   : <Conn>     Connector                                              }
{                       ConCamera, ConSVideo, ConTuner, ConComposite           }
{ Return   : <Result>   Error code                                             }
{                                                                              }
{ Descript : Ask VxD what video source has set to.                             }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function Bt848GetVideoSource(var Conn: Connector): ErrorCode; stdcall; external DLLName name 'Bt848GetVideoSource';


{ **************************************************************************** }
{ Params   : <Brightness>  Brightness value (0-255)                            }
{ Return   : <Result>      Error code                                          }
{                                                                              }
{ Descript : Request VxD to set video brightness.                              }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function Bt848SetBrightness(Brightness: integer): ErrorCode; stdcall; external DLLName name 'Bt848SetBrightness';


{ **************************************************************************** }
{ Params   : <Brightness>  Brightness value (0-255)                            }
{ Return   : <Result>      Error code                                          }
{                                                                              }
{ Descript : Ask VxD what brightness value has set to.                         }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function Bt848GetBrightness(var Brightness: integer): ErrorCode; stdcall; external DLLName name 'Bt848GetBrightness';


{ **************************************************************************** }
{ Params   : <Contrast>  Contrast value (0-255)                                }
{ Return   : <Result>    Error code                                            }
{                                                                              }
{ Descript : Request VxD to set video contrast.                                }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function Bt848SetContrast(Contrast: integer): ErrorCode; stdcall; external DLLName name 'Bt848SetContrast';


{ **************************************************************************** }
{ Params   : <Contrast>  Contrast value (0-255)                                }
{ Return   : <Result>    Error code                                            }
{                                                                              }
{ Descript : Ask VxD what contrast value has set to.                           }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function Bt848GetContrast(var Contrast: integer): ErrorCode; stdcall; external DLLName name 'Bt848GetContrast';


{ **************************************************************************** }
{ Params   : <Hue>     Hue value (0-255)                                       }
{ Return   : <Result>  Error code                                              }
{                                                                              }
{ Descript : Request VxD to set video hue.                                     }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function Bt848SetHue(Hue: integer): ErrorCode; stdcall; external DLLName name 'Bt848SetHue';


{ **************************************************************************** }
{ Params   : <Hue>     Hue value (0-255)                                       }
{ Return   : <Result>  Error code                                              }
{                                                                              }
{ Descript : Ask VxD what hue value has set to.                                }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function Bt848GetHue(var Hue: integer): ErrorCode; stdcall; external DLLName name 'Bt848GetHue';


{ **************************************************************************** }
{ Params   : <Sat>     Saturation value (0-255)                                }
{ Return   : <Result>  Error code                                              }
{                                                                              }
{ Descript : Request VxD to set video saturation.                              }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function Bt848SetSaturation(Sat: integer): ErrorCode; stdcall; external DLLName name 'Bt848SetSaturation';


{ **************************************************************************** }
{ Params   : <Sat>     Saturation value (0-255)                                }
{ Return   : <Result>  Error code                                              }
{                                                                              }
{ Descript : Ask VxD what saturation value has set to.                         }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function Bt848GetSaturation(var Sat: integer): ErrorCode; stdcall; external DLLName name 'Bt848GetSaturation';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>  STATUS register content                                 }
{                                                                              }
{ Descript : Obtain STATUS register content.                                   }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function Bt848GetStatus: integer; stdcall; external DLLName name 'Bt848GetStatus';


{ **************************************************************************** }
{ Params   : <S>       State (Off, On)                                         }
{ Return   : <Result>  Error code                                              }
{                                                                              }
{ Descript : Request VxD to set status of SVideo.                              }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function Bt848SetSVideo(S: State): ErrorCode; stdcall; external DLLName name 'Bt848SetSVideo';


{ **************************************************************************** }
{ Params   : <S>       State (Off, On)                                         }
{ Return   : <Result>  Error code                                              }
{                                                                              }
{ Descript : Request tp VxD to get status of SVideo.                           }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function Bt848GetSVideo(var S: State): ErrorCode; stdcall; external DLLName name 'Bt848GetSVideo';


{ **************************************************************************** }
{ Params   : <Vf>      Videoformat                                             }
{                      VFormat_AutoDetect, VFormat_NTSC,  VFormat_NTSC_J,      }
{                      VFormat_PAL_BDGHI,  VFormat_PAL_M, VFormat_PAL_N,       }
{                      VFormat_SECAM,      VFormat_PAL_NC                      }
{ Return   : <Result>  Error code                                              }
{                                                                              }
{ Descript : Request VxD to set status of SVideo.                              }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function Bt848SetVideoFormat(Vf: VideoFormat): ErrorCode; stdcall; external DLLName name 'Bt848SetVideoFormat';


{ **************************************************************************** }
{ Params   : <Vf>      Videoformat                                             }
{                      VFormat_AutoDetect, VFormat_NTSC,  VFormat_NTSC_J,      }
{                      VFormat_PAL_BDGHI,  VFormat_PAL_M, VFormat_PAL_N,       }
{                      VFormat_SECAM,      VFormat_PAL_NC                      }
{ Return   : <Result>  Error code                                              }
{                                                                              }
{ Descript : Request tp VxD to get status of SVideo.                           }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function Bt848GetVideoFormat(var Vf: VideoFormat): ErrorCode; stdcall; external DLLName name 'Bt848GetVideoFormat';


{ **************************************************************************** }
{ Params   : <Cb>  Callback procedure                                          }
{ Return   : -                                                                 }
{                                                                              }
{ Descript : Register a callback for external decode of Closed Caption         }
{            VBI data.                                                         }
{ Notes    : -                                                                 }
{ **************************************************************************** }
procedure Bt848SetCCCallback(Cb: CC_CALLBACK); stdcall; external DLLName name 'Bt848SetCCCallback';


{ **************************************************************************** }
{ Params   : <Status>  Status                                                  }
{                      Only bits 15 and 0 are used. All others must be set to  }
{                      zero. Set bit 15 to enable CC VBI Processing.           }
{                      If bit 0 is 0 then CC processing occurs on channel 2,   }
{                      if bit 0 is set to 1 then CC processing occurs on       }
{                      channel 1.                                              }
{ Return   : <Result>  Error code                                              }
{                                                                              }
{ Descript : Turns Closed Caption VBI processing off and on.                   }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function Bt848SetCCStatus(Status: integer): ErrorCode; stdcall; external DLLName name 'Bt848SetCCStatus';


{ **************************************************************************** }
{ Params   : <Name>  Fully qualified file name                                 }
{ Return   : -                                                                 }
{                                                                              }
{ Descript : Sets the Closed Caption text capture filename.                    }
{ Notes    : -                                                                 }
{ **************************************************************************** }
procedure Bt848SetCCFileName(Name: PAnsiChar); stdcall; external DLLName name 'Bt848SetCCFileName';


{ **************************************************************************** }
{ Params   : <Name>  Buffer receives current CC text capture filename          }
{            <Cnt>   Size of buffer                                            }
{ Return   : -                                                                 }
{                                                                              }
{ Descript : Obtain the current Closed Caption text capture filename.          }
{ Notes    : -                                                                 }
{ **************************************************************************** }
procedure Bt848GetCCFileName(var Name: PAnsiChar; Cnt: integer); stdcall; external DLLName name 'Bt848GetCCFileName';


{ **************************************************************************** }
{ Params   : <Token>  Null terminated string intended to trigger response      }
{ Return   : -                                                                 }
{                                                                              }
{ Descript : Sets a text string that, when found in the Closed Caption stream, }
{            causes a dialog to appear (indicating that the string was found). }
{ Notes    : -                                                                 }
{ **************************************************************************** }
procedure Bt848SetCCAlert(Token: PAnsiChar); stdcall; external DLLName name 'Bt848SetCCAlert';


{ **************************************************************************** }
{ Params   : <Token>  Buffer receives current CC Alert token                   }
{            <Cnt>    Size of buffer                                           }
{ Return   : -                                                                 }
{                                                                              }
{ Descript : Obtains the current Closed Caption Alert token.                   }
{            (See Bt848SetCCAlert).                                            }
{ Notes    : -                                                                 }
{ **************************************************************************** }
procedure Bt848GetCCAlert(var Token: PAnsiChar; Cnt: integer); stdcall; external DLLName name 'Bt848GetCCAlert';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>  Only bits 15 and 0 are used. Bit 15 set indicates CC    }
{                      VBI processing is enabled. If bit 0 is 0 then CC        }
{                      processing is set for channel 2, if bit 0 is set to 1   }
{                      then CC processing is set for channel 1                 }
{ Descript : Obtain the current operational ststus of the Closed Caption       }
{            decoder.                                                          }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function Bt848GetCCStatus: integer; stdcall; external DLLName name 'Bt848GetCCStatus';


{ **************************************************************************** }
{ Params   : <pRect>   Pointer to bounding rectangle                           }
{            <aFormat> Color format                                            }
{                      CF_RGB32, CF_RGB24, CF_RGB16, CF_RGB15,                 }
{                      CF_YUY2, CF_BTYUV, CF_Y8, CF_RGB8, CF_PL_422, CF_PL_411,}
{                      CF_YUV9, CF_YUV12, CF_VBI, CF_UYVY, CF_RAW,             }
{                      CF_I420, CF_AboveRange                                  }
{ Return   : <Result>  Error code                                              }
{                                                                              }
{ Descript : Sets the capture driver image size and color format.              }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function Bt848SetImage(pRect: PRECT; aFormat: ColFmt): ErrorCode; stdcall; external DLLName name 'Bt848SetImage';


{ **************************************************************************** }
{ Params   : <aFormat> Color format                                            }
{                      CF_RGB32, CF_RGB24, CF_RGB16, CF_RGB15,                 }
{                      CF_YUY2, CF_BTYUV, CF_Y8, CF_RGB8, CF_PL_422, CF_PL_411,}
{                      CF_YUV9, CF_YUV12, CF_VBI, CF_UYVY, CF_RAW,             }
{                      CF_I420, CF_AboveRange                                  }
{ Return   : <Result>  Number of bpp for the current format                    }
{                                                                              }
{ Descript : Obtain current capture driver image color format.                 }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function Bt848GetImageFormat(var aFormat: ColFmt): integer; stdcall; external DLLName name 'Bt848GetImageFormat';


{ **************************************************************************** }
{ Params   : <pRect>  Pointer to RECT structure to be filled                   }
{ Return   : -                                                                 }
{                                                                              }
{ Descript : Obtain current capture driver image size.                         }
{ Notes    : -                                                                 }
{ **************************************************************************** }
procedure Bt848GetImageSize(pRect: PRECT); stdcall; external DLLName name 'Bt848GetImageSize';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : -                                                                 }
{                                                                              }
{ Descript : Pauses the Bt848 Risc Engine.                                     }
{ Notes    : -                                                                 }
{ **************************************************************************** }
procedure Bt848Pause; stdcall; external DLLName name 'Bt848Pause';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : -                                                                 }
{                                                                              }
{ Descript : Restarts Bt848 Risc Engine.                                       }
{ Notes    : -                                                                 }
{ **************************************************************************** }
procedure Bt848Continue; stdcall; external DLLName name 'Bt848Continue';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>  USE_OVERLAY (0x1) if overlay surface,                   }
{                      USE_PRIMARY (0x2) if primary surface                    }
{                                                                              }
{ Descript : Returns the type of direct draw surface currently being used by   }
{            the driver for live video.                                        }
{ Notes    : Note that the value returned is undefined if preview mode is      }
{            active                                                            }
{ **************************************************************************** }
function Bt848GetOverlayFlags: integer; stdcall; external DLLName name 'Bt848GetOverlayFlags';


{ **************************************************************************** }
{ Params   : <hInst>     Instance handle of calling application                }
{            <hWnd>      Window handle of calling application                  }
{            <szBitmap>  Full path to bitmap (.bmp)                            }
{ Return   : <Result>    Error code                                            }
{                                                                              }
{ Descript : Load a bitmap into the video window.                              }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function Bt848ImageLoad(hInst: integer; hWnd: integer; szBitmap: PANSIChar): ErrorCode; stdcall; external DLLName name 'Bt848ImageLoad';


{ **************************************************************************** }
{ Params   : -                                                                 }
{ Return   : <Result>    Error code                                            }
{                                                                              }
{ Descript : Removes image loaded with <Bt848ImageLoad>.                       }
{ Notes    : -                                                                 }
{ **************************************************************************** }
function Bt848UnLoadImage: ErrorCode; stdcall; external DLLName name 'Bt848UnLoadImage';


implementation

initialization
  I2CIsInitOK;
  I2CInitHWMode(100000);
  GPIOIsInitOK;
  SetGPIOMode(GPIO_NORMAL);

end.
